#!/bin/sh

# CONFIGURING
# - make sure to update username and server settings at the bottom of this script
# you can install imagemagic on a mac by using fink.

ONYIMAGES=`ls /Users/username/Pictures/iPhotoLibrary/2004/*/*/DSC*.JPG`
DESTFOLDER="/Users/username/Pictures/sony_camera";
CONVERTCOMMAND="/sw/bin/convert -resize 800x600";
SYNCFLAG=0;

for file in $SONYIMAGES ; do

        # get the image name
        SHORTFILE=`echo $file | cut -d / -f  9`;
        #       echo "short image name is $SHORTFILE";

        #       final file format is MM-DD-YY_HHMMSS.jpg
        #       extract exif info and build final filename using date

        FILEDATE=`dd if=$file count=2 2>/dev/null| strings | grep -E ".*:[0-9]{2}:[0-9]{2}"| tail -1`;

        YEAR=`echo $FILEDATE | cut -c 3-4`;
        MONTH=`echo $FILEDATE | cut -c 6-7`;
        DAY=`echo $FILEDATE | cut -c 9-10`;
        HOUR=`echo $FILEDATE | cut -c 12-13`;
        MINUTE=`echo $FILEDATE | cut -c 15-16`;
        SECOND=`echo $FILEDATE | cut -c 18-19`;
        DATEFILE="$MONTH-$DAY-$YEAR""_$HOUR""$MINUTE""$SECOND.jpg";

        if [ ! -e $DESTFOLDER/$DATEFILE ]
        then
                SYNCFLAG=$(($SYNCFLAG+1));
                echo " converting $SHORTFILE to $DATEFILE";
#               echo " run:$CONVERTCOMMAND $file $DESTFOLDER/$DATEFILE";
                $CONVERTCOMMAND $file $DESTFOLDER/$DATEFILE;
        else
                echo " file $DATEFILE exists";
        fi

done

if [ $SYNCFLAG -ge 1 ]
then
        echo "syncing $SYNCFLAG files to website";
        # -t syncs time so it can actually sync files
        rsync -rvt --rsh="ssh -l youruser"  $DESTFOLDER/ youruser@www.yoursite.com:/path/to/web/photos
fi

